/******************************************************************************
 * QUANTA - A toolkit for High Performance Data Sharing
 * Copyright (C) 2003 Electronic Visualization Laboratory,  
 * University of Illinois at Chicago
 *
 * This library is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either Version 2.1 of the License, or 
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public 
 * License for more details.
 * 
 * You should have received a copy of the GNU Lesser Public License along
 * with this library; if not, write to the Free Software Foundation, Inc., 
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Direct questions, comments etc about Quanta to cavern@evl.uic.edu
 *****************************************************************************/

#ifndef _QUANTA_H
#define _QUANTA_H
#include "glite/data/io/quanta/QUANTAinit.hxx"
#include "glite/data/io/quanta/QUANTAmisc_debug.hxx"
#include "glite/data/io/quanta/QUANTAnet_datapack_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_socketbase_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_tcp_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_auth_strategy_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_null_auth_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_parallelTcp_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_extendedParallelTcp_c.hxx"
#include "glite/data/io/quanta/QUANTAnet_extendedTcp_c.hxx"
#include "glite/data/io/quanta/md5.hxx"

#ifdef WIN32
#include "glite/data/io/quanta/gettimeofday.hxx"
#else
#include "glite/data/io/quanta/quanta_config.hxx"
#endif

#ifdef _WIN32_WCE
#include "time.h"
#endif

#endif
